Name:          zkclient
Version:       0.10
Release:       3%{?dist}
Summary:       A Zookeeper Client
License:       ASL 2.0
URL:           https://github.com/sgroschupf/zkclient
Source0:       https://github.com/sgroschupf/zkclient/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: gradle-local
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.apache.zookeeper:zookeeper)
BuildRequires: mvn(org.assertj:assertj-core)
BuildRequires: mvn(org.hamcrest:hamcrest-core)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(org.objenesis:objenesis)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)

BuildArch:     noarch

%description
A Zookeeper client, that makes life a little easier.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete

# Disable unwanted task
sed -i /authentication/d build.gradle

# Fix log4j version
sed -i "s|1.2.15|1.2.17|" build.gradle

# Enable local mode
sed -i "s|flatDir(dirs: 'lib')|xmvn()|" build.gradle

sed -i "s|testCompile files('lib/objenesis-1.0.jar', 'lib/hamcrest-core-1.1.jar')|testCompile 'org.objenesis:objenesis:1.0'\n    testCompile 'org.hamcrest:hamcrest-core:1.1'|" build.gradle

# https://github.com/sgroschupf/zkclient/issues/50
# Caused by: org.apache.zookeeper.KeeperException$InvalidACLException: KeeperErrorCode = InvalidACL for /test
sed -i /@Test/d $(find . -name SaslAuthenticatedTest.java)
# Fails with new zookeeper release 3.4.9
find . -name ServerZkClientTest.java -print -delete

# Fix javadoc task
echo "
javadoc {
    classpath = configurations.compile
    options.encoding = 'UTF-8'
    options.addStringOption('Xdoclint:none', '-quiet')
}" >> build.gradle

%mvn_file :%{name} %{name}

%build

%gradle_build

%install
%mvn_install -J build/docs/javadoc

%files -f .mfiles
%doc CHANGELOG.markdown README.markdown
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Dec 22 2016 gil cattaneo <puntogil@libero.it> 0.10-2
- rebuilt with new zookeeper

* Fri Dec 02 2016 gil cattaneo <puntogil@libero.it> 0.10-1
- update to 0.10

* Thu Apr 28 2016 gil cattaneo <puntogil@libero.it> 0.8-1
- update to 0.8

* Sat Nov 28 2015 gil cattaneo <puntogil@libero.it> 0.7.0-1
- initial rpm
